<?php

//-------------------------------------------------------------
// Wallpaper Site Creator v2.0
// www.collectphp.com
//-------------------------------------------------------------

class Language
{
    var $Phrase = array();
    
    function Language()
    {
		// Global variables
		$this->Phrase['global_username'] = '';

        // Database errors
        $this->Phrase['mysql_nouser'] = 'Please enter a mysql username in includes/mysql.php';
        $this->Phrase['mysql_nodb'] = 'Please enter a mysql database in includes/mysql.php';
        $this->Phrase['mysql_nohost'] = 'Please enter a mysql host in includes/mysql.php';
        $this->Phrase['mysql_notarray'] = 'No mysql details entered. Make sure you\'ve run the installer.';
        $this->Phrase['mysql_conn'] = 'Could not connect to database.';
        $this->Phrase['mysql_db'] = 'Could not select an appropriate database.';
        
        // Template errors
        $this->Phrase['template_noexist'] = 'Template file could not be found.';
        
        // Navigation
        $this->Phrase['nav_home'] = 'Home';
        $this->Phrase['nav_login'] = 'Login';
        $this->Phrase['nav_register'] = 'Register';
        $this->Phrase['nav_search'] = 'Search';
        $this->Phrase['nav_affiliate'] = 'Affiliate';
        
        $this->Phrase['cat_title'] = 'Categories';
        $this->Phrase['partner_title'] = 'Partners';
        $this->Phrase['newest_title'] = 'Most Recent Wallpapers';
        $this->Phrase['top_rated'] = 'Top Rated Wallpapers';

		// View wallpaper
		$this->Phrase['available_sizes'] = "Available sizes";
		$this->Phrase['wpview_title'] = 'Wallpaper';
		$this->Phrase['wpview_share'] = 'Share Wallpaper:';
		$this->Phrase['wpview_rating_title'] = 'Rating';
		$this->Phrase['wpview_cur_rating_1'] = 'Current rating:';
		$this->Phrase['wpview_cur_rating_2'] = 'from';
		$this->Phrase['wpview_cur_rating_3'] = 'Votes';
		$this->Phrase['wpview_cat_title'] = 'Category';
		$this->Phrase['wpview_dl_title'] = 'Downloads';
		$this->Phrase['wpview_dpd'] = ' per day';
		$this->Phrase['wpview_imgURL'] = 'Image url';
		$this->Phrase['wpview_forumURL'] = 'Forum url';
		$this->Phrase['wpview_emailWall'] = 'Email wallpaper';
		$this->Phrase['wpview_email_send'] = 'Send';
		$this->Phrase['wpview_bookmark_title'] = 'Bookmarks';
		$this->Phrase['wpview_bktag'] = 'Submit to ';
		$this->Phrase['wpview_sim_title'] = 'Similar Wallpapers';
		$this->Phrase['wpview_user_comments_title'] = 'User Comments';
		$this->Phrase['wpview_cancel_reply'] = 'Cancel reply';
		$this->Phrase['wpview_replying_cap'] = 'Replying to comment id: ';
		$this->Phrase['wpview_cancel_reply'] = 'Cancel';
		$this->Phrase['wpview_rem_char'] = 'Remaining character count: ';
        $this->Phrase['wpview_post_com'] = 'Post Comment';

		// display/comment.cphp
		$this->Phrase['lngReply'] = 'Reply';
		$this->Phrase['lngReport'] = 'Report';
		$this->Phrase['lngReported'] = 'Comment reported.';
		$this->Phrase['comment_guest'] = 'Guest';

		// display/comment_sunk.cphp
		$this->Phrase['comsunk_sunk'] = 'Comment has been sunk.';
		$this->Phrase['comsunk_show'] = 'Show';
		$this->Phrase['comsunk_ago'] = 'ago';

		// Pagination
		$this->Phrase['comnext_next'] = 'Next';
		$this->Phrase['comnext_previous'] = 'Previous';
		$this->Phrase['pag_pages'] = 'Pages:';

		// template: display/sizes.cphp
		$this->Phrase['sizes_available'] = 'Available Sizes:';
		$this->Phrase['sizes_rate'] = 'Rate now:';
		$this->Phrase['sizes_wpDetails'] = 'Wallpaper Details:';
		$this->Phrase['sizes_pubCat'] = 'Published in:';
		$this->Phrase['sizes_tags'] = 'Tags:';
		$this->Phrase['sizes_totViews'] = 'Total Views:';
		$this->Phrase['sizes_author'] = 'Author:';
		$this->Phrase['sizes_date'] = 'Date added:';

		// sources/public/categories.php
		$this->Phrase['cat_invFilt'] = 'The filter id is invalid.';
		$this->Phrase['cat_sesIdInv'] = 'That session ID does not exist.';
		$this->Phrase['cat_sortRat'] = 'Wallpaper Rating';
		$this->Phrase['cat_sortDat'] = 'Date Added';
		$this->Phrase['cat_sortDls'] = 'Number of Downloads';
		$this->Phrase['cat_sortNam'] = 'Name';
		$this->Phrase['cat_sortAut'] = 'Author';
		$this->Phrase['cat_sortCom'] = 'Number of Comments';
		$this->Phrase['cat_sortVie'] = 'Number of Views';
		$this->Phrase['cat_sortDesc'] = 'Descending';
		$this->Phrase['cat_sortAsc'] = 'Ascending';
		$this->Phrase['cat_lastXDays'] = 'Last {x} Days';
		$this->Phrase['cat_last2Days'] = 'Last 2 Days';
		$this->Phrase['cat_last10Days'] = 'Last 10 Days';
		$this->Phrase['cat_last45Days'] = 'Last 45 Days';
		$this->Phrase['cat_last75Days'] = 'Last 75 Days';
		$this->Phrase['cat_last100Days'] = 'Last 100 Days';
		$this->Phrase['cat_lastDay'] = 'Last Day';
		$this->Phrase['cat_lastWeek'] = 'Last Week';
		$this->Phrase['cat_last2Weeks'] = 'Last 2 Weeks';
		$this->Phrase['cat_lastMonth'] = 'Last Month';
		$this->Phrase['cat_last2Months'] = 'Last 2 Months';
		$this->Phrase['cat_lastYear'] = 'Last Year';
		$this->Phrase['cat_Beginning'] = 'Beginning';
		$this->Phrase['cat_ExtPage'] = ' - Page ';
		$this->Phrase['cat_viewAllWal'] = ' - View all Wallpapers';
		$this->Phrase['cat_titleWall'] = 'Wallpapers';

		// category templates
		$this->Phrase['cat_empty'] = 'Your query returned an empty result.';
		$this->Phrase['cat_sortedBy'] = 'Sorted by';
		$this->Phrase['cat_sortOrder'] = 'Sort order';
		$this->Phrase['cat_sortFrom'] = 'From the';
		$this->Phrase['cat_no_wps'] = 'There are currently no wallpapers in this category.';
		$this->Phrase['pag_newest'] = 'Newest';
		$this->Phrase['cat_filtRes'] = 'Filter Results';
		$this->Phrase['catStat'] = 'Category Statistics';
		$this->Phrase['catStatNum'] = 'No. of wallpapers:';
		$this->Phrase['catStatDls'] = 'Total downloads:';
		$this->Phrase['catStatRat'] = 'Average rating:';
		$this->Phrase['catStatVie'] = 'Total views:';
		$this->Phrase['catStatCom'] = 'Total comments:';
		$this->Phrase['catStatSub'] = 'Top submitter:';
		$this->Phrase['catSubmit'] = 'Submit Wallpaper';
		$this->Phrase['cat_filtOpt'] = 'Filter Options';
		$this->Phrase['cat_ind'] = 'index';

		// User template
		$this->Phrase['user_cat_upload_to'] = 'Category to upload to.';
		$this->Phrase['user_title_wallpaper'] = 'The wallpaper title.';
		$this->Phrase['user_quick_upload'] = 'Quick Upload Wallpaper';
		$this->Phrase['user_title'] = 'Title';
		$this->Phrase['user_highest_res'] = 'Use the highest resolution wallpaper for optimum results.';
		$this->Phrase['user_select_wall'] = 'Select wallpaper to upload.';
		$this->Phrase['user_wall_res'] = 'Results of your wallpaper upload.';
		$this->Phrase['user_tags'] = 'Tags';
		$this->Phrase['user_tags_desc'] = 'Tags that describe the wallpaper.';
		$this->Phrase['user_desc'] = 'Description';
		$this->Phrase['user_desc_desc'] = 'A sentence that briefly describes the wallpaper.';
		$this->Phrase['user_note_while'] = '<strong>Note:</strong> This could take a while. Do not navigate away from the page.';
		$this->Phrase['user_wall_warning'] = 'The script automatically resizes your wallpaper to smaller dimensions, giving viewers more choices to download from. Therefore, using the highest resolution wallpaper will allow for optimum results.';
		$this->Phrase['usr_wall_up_title'] = 'Image file';

		// Secret questions
		$this->Phrase['secret_questions'] = array(
			"What's your mothers maiden name?",
			"What street did you grow up on?",
			"Favourite highschool teacher?",
			"Best childhood friend?",
			"Favourite sporting team?",
			"Suburb you were born?",
		);

		// Generic
		$this->Phrase['gen_male'] = "Male";
		$this->Phrase['gen_female'] = "Female";

		// Inbox
		$this->Phrase['inb_sent'] = 'Sent';
		$this->Phrase['inb_grp'] = 'Group:';
		$this->Phrase['inb_joined'] = 'Joined:';
		$this->Phrase['inb_gender'] = 'Gender:';
		$this->Phrase['inb_uploads'] = 'Uploads:';
		$this->Phrase['inb_reply'] = 'Reply to message';
		$this->Phrase['usr_unread'] = '';
		$this->Phrase['inb_compose_msg'] = 'Compose Message';
		$this->Phrase['inb_recipient'] = 'Recipient:';
		$this->Phrase['inb_msg_title'] = 'Message Title:';
		$this->Phrase['inb_msg_capt'] = 'Message:';
		$this->Phrase['inb_send_msg'] = 'Send Message';

		// user.php errors
		$this->Phrase['usrdphp_1'] = "That user does not exist.";

		// Added Mar 2
		$this->Phrase['Generic_error'] = 'Error:';
		$this->Phrase['feature_disabled'] = 'This feature is currently disabled.';
		$this->Phrase['no_name'] = 'You must enter a name.';
		$this->Phrase['no_email'] = 'You must enter an email.';
		$this->Phrase['no_message'] = 'You must enter a message.';
		$this->Phrase['invalid_security'] = 'Invalid security answer.';
		$this->Phrase['contact_us'] = 'Contact us';
		$this->Phrase['contact_form'] = 'Contact Form';
		$this->Phrase['contact_what'] = 'What is ';
		$this->Phrase['contact_plus'] = 'plus';
		$this->Phrase['contact_times'] = 'times';
		$this->Phrase['wallpaper_noexist'] = 'Wallpaper does not exist.';
		$this->Phrase['sign_title'] = 'Signup';
		$this->Phrase['already_logged'] = 'You are already logged in.';
		$this->Phrase['no_username'] = 'You must enter a username.';
		$this->Phrase['no_password'] = 'You must enter a password.';
		$this->Phrase['length_user'] = 'Your username must be at least six characters in length.';
		$this->Phrase['passwords_nomatch'] = "Your two passwords do not match.";
		$this->Phrase['pass_length'] = 'Your password must be at least six characters in length.';
		$this->Phrase['inv_email'] = 'You have entered an invalid email address.';
		$this->Phrase['no_fname'] = 'You must enter a first name.';
		$this->Phrase['inv_dob'] = 'You have supplied an invalid date of birth.';
		$this->Phrase['inv_gender'] = 'You have entered an invalid gender.';
		$this->Phrase['inv_country'] = 'You have entered an invalid country.';
		$this->Phrase['secret_null'] = 'Secret question returned a null result.';
		$this->Phrase['inv_secret'] = 'You have entered an invalid secret question.';
		$this->Phrase['no_secret'] = 'You must enter a secret answer.';
		$this->Phrase['no_avatar'] = 'You must select an avatar.';
		$this->Phrase['inv_avatar'] = 'That is not a valid avatar.';
		$this->Phrase['inc_captcha'] = 'The captcha information you have entered is incorrect.';
		$this->Phrase['taken_username'] = 'That username is already taken.';
		$this->Phrase['taken_email'] = 'That email is already taken.';
		$this->Phrase['log_email'] = 'n email';
		$this->Phrase['usr_title'] = 'username';
		$this->Phrase['must_entr'] = 'Must enter a';
		$this->Phrase['email_title'] = 'email';
		$this->Phrase['log_error'] = 'Login Error';
		$this->Phrase['usr_cp'] = 'User Control Panel';
		$this->Phrase['signin_msg'] = 'Enter your sign in <strong>email</strong> and password below.';
		$this->Phrase['must_be_logged'] = 'Must be logged in';
		$this->Phrase['inv_uid'] = 'Invalid user id.';
		$this->Phrase['msg_small'] = "Your message must be over or equal to {x} characters in length.";
		$this->Phrase['min_wait'] = "You must wait {x} seconds between messages.";
		$this->Phrase['min_wait_report'] = "You must wait {x} seconds between reports.";
		$this->Phrase['usr_view'] = 'View user';
		$this->Phrase['usr_noexist'] = 'That user does not exist.';
		$this->Phrase['no_uploads'] = ' has not yet uploaded any wallpapers';
		$this->Phrase['membrs_tit'] = 'Members';
		$this->Phrase['admin_tit'] = 'Administrator';
		$this->Phrase['usr_title'] = 'User';
		$this->Phrase['usr_noset'] = 'Not currently set.';
		$this->Phrase['no_comments'] = 'There are currently no comments for this user.<br /><br />';
		$this->Phrase['msg_nofound'] = 'The message could not be found.';
		$this->Phrase['msg_noperms'] = "You do not have permission to view this message.";
		$this->Phrase['auto_bot_name'] = 'Automated Bot';
		$this->Phrase['auto_ugroup'] = 'Bot';
		$this->Phrase['none'] = 'None';
		$this->Phrase['disabled'] = 'disabled';
		$this->Phrase['view_msg'] = 'View Message';
		$this->Phrase['inv_id'] = 'Invalid ID';
		$this->Phrase['msg_noself'] = 'You cannot send a message to yourself.';
		$this->Phrase['msg_noperms'] = 'You do not have permission to message this user.';
		$this->Phrase['msg_sent'] = 'Your message has been sent.';
		$this->Phrase['msg_sent_title'] = 'User Control Panel - Your message has been sent.';
		$this->Phrase['choose_mbr'] = "You must choose a member to send the message to.";
		$this->Phrase['no_msg_title'] = "You must enter a message title.";
		$this->Phrase['usr_compose'] = 'User Control Panel - Compose Message';
		$this->Phrase['usr_msg_del'] = 'Your message(s) have been deleted.';
		$this->Phrase['del_msgs'] = 'Delete Messages';
		$this->Phrase['compose_new'] = 'To compose a new message click <a href="new_message.html">here</a>.';
		$this->Phrase['usr_view_msg'] = 'User Control Panel - View Messages';
		$this->Phrase['min_1_wp'] = 'You must select at least one wallpaper to delete.';
		$this->Phrase['usr_delt_msgs'] = 'User Control Panel - Deleted Wallpapers';
		$this->Phrase['usr_final_chan'] = 'All changes are final.';
		$this->Phrase['usr_mass_del'] = 'User Control Panel - Mass Delete';
		$this->Phrase['wp_deleted'] = 'Your wallpaper(s) have been deleted.';
		$this->Phrase['manage_wp'] = 'User Control Panel - Manage Wallpapers';
		$this->Phrase['changes_nound'] = 'Please remember that all changes are final and your actions can not be undone.';
		$this->Phrase['inv_wid'] = 'Invalid wallpaper ID.';
		$this->Phrase['no_perm_del'] = 'You do not have permission to delete this wallpaper.';
		$this->Phrase['usr_ctrl_del1'] = 'User Control Panel - Delete Wallpaper';
		$this->Phrase['no_cur_pw'] = 'You must enter your current password.';
		$this->Phrase['entr_new_pw'] = 'You must enter a new password.';
		$this->Phrase['pw_nomatch'] = 'Your two new passwords do not match.';
		$this->Phrase['old_pw_inv'] = 'Your old password is invalid.';
		$this->Phrase['usrcp_update'] = 'User Control Panel - Update Settings';
		$this->Phrase['msg_updated'] = 'Your account settings have been updated.';
		$this->Phrase['perm_noedit_wall'] = 'You do not have permission to edit this wallpaper.';
		$this->Phrase['no_wtitle'] = 'You must enter a wallpaper title.';
		$this->Phrase['no_wtags'] = 'You must enter wallpaper tags.';
		$this->Phrase['no_wdesc'] = 'You must enter a wallpaper description.';
		$this->Phrase['inv_cid'] = 'Invalid category id.';
		$this->Phrase['ucp_ed_ti'] = 'User Control Panel - Edit Wallpaper';
		$this->Phrase['wall_updated'] = 'Your wallpaper has been updated.';
		$this->Phrase['ucp_ed_tit1'] = 'User Control Panel - Edit Account Settings';
		$this->Phrase['ucp_ed_dec1'] = 'When changing account settings, you must first enter your current password for verification purposes.';
		$this->Phrase['x_new_msgs'] = 'new messages';
		$this->Phrase['msg_r_mo'] = 'Read more';
		$this->Phrase['ucp_submitted'] = 'User Control Panel - Wallpaper Submitted!';
		$this->Phrase['ucp_wal_up_suc'] = 'Your wallpaper has been uploaded.';
		$this->Phrase['signin_em'] = '<span id="spnLog">Enter your sign in <strong>email</strong> and password below.</span>';
		$this->Phrase['log_em_ti'] = 'Email Address';
		$this->Phrase['err_em_re'] = 'Error: Must enter an email recipient.';
		$this->Phrase['err_inv_em'] = 'Error: Invalid email address';
		$this->Phrase['em_wal_suc'] = 'Your message has been sent.';
		$this->Phrase['wall_unnaproved'] = 'Wallpaper has not yet been approved.';
		$this->Phrase['wall_nocomments'] = '<div style="margin-left:10px;">There are currently no comments for this wallpaper.</div><div style="height: 8px;"></div>';
		$this->Phrase['f04_message'] = '404 file not found.';
		$this->Phrase['f04_noscript'] = 'Must select custom 404 file.';
		$this->Phrase['empt_comment'] = 'The comment submitted is empty.';
		$this->Phrase['com_success'] = 'Inserted comment.';
		$this->Phrase['generic_noexist'] = 'Target does not exist.';
		$this->Phrase['com_reported'] = 'Comment reported.';
		$this->Phrase['inv_page'] = 'The page is not valid.';
		$this->Phrase['already_rate'] = 'You have already rated this wallpaper.';
		$this->Phrase['rate_success'] = 'Successfully rated.';
		$this->Phrase['no_wper'] = 'You must enter a wallpaper.';
		$this->Phrase['font_noexist'] = 'Font file does not exist.';
		$this->Phrase['no_vars'] = 'Did not fill out variables properly.';
		$this->Phrase['vote_success'] = 'Voted successfully.';
		$this->Phrase['alr_logged'] = 'You are already logged in.';
		$this->Phrase['forgot_msg'] = 'Enter your account <strong>username</strong> or <strong>email address</strong>.';
		$this->Phrase['usr_ema_nof'] = 'The username and email address could not be found.';
		$this->Phrase['new_pw_req'] = 'New password request!';
		$this->Phrase['new_pw_msg'] = "{username},\r\n\r\nYou are receiving this message as somebody has requested a new password at {domain}. To reset your password, please copy and paste the link below.\r\n\r\n{link}\r\n\r\nSincerely,\r\n {domain}";
		$this->Phrase['forgot_err1'] = 'Could not find password request.';
		$this->Phrase['forgot_err2'] = 'Request has expired.';
		$this->Phrase['forgot_err3'] = 'Request is no longer active.';
		$this->Phrase['new_pw_msg_2'] = "{username},\r\n\r\nYour password at {domain} has temporarily been changed to {password}. We suggest you change this password after logging in.\r\n\r\nSincerely,\r\n {domain}";
		$this->Phrase['pass_ch2'] = 'Your password has been changed';

		$this->Phrase['admin_demo_err'] = 'As this is a demo, you are unable to make changes.';

		// Added in 1.01
		$this->Phrase['ln_captcha'] = 'Captcha';
		$this->Phrase['contact_button'] = 'Contact us!';
		$this->Phrase['log_usr_title'] = 'Username:';
		$this->Phrase['log_pw_title'] = 'Password:';
		$this->Phrase['log_forg_pw'] = "I've forgotten my password.";
		$this->Phrase['err_back_cap'] = "Back";
		$this->Phrase['info_title'] = "Information";
		$this->Phrase['top_navUsr1'] = 'User Home';
		$this->Phrase['top_navUsr2'] = 'Account Settings';
		$this->Phrase['top_navUsr3'] = 'View/Edit Gallery';
		$this->Phrase['top_navUsr4'] = 'Message Inbox';
		$this->Phrase['top_navUsr5'] = 'Logout';
		$this->Phrase['usrDelConf'] = 'Delete Confirmation';
		$this->Phrase['removImages'] = 'Physically remove images from server.';
		$this->Phrase['deleteConfirm'] = 'Are you sure you want to delete the selected wallpaper(s)? Once this action is performed, it cannot be undone.';
		$this->Phrase['deleteButton'] = 'Delete Wallpaper(s)';
		$this->Phrase['editTitle'] = 'Edit Wallpaper';
		$this->Phrase['usrReup'] = 'Re-upload';
		$this->Phrase['chnTitle'] = 'Change Password';
		$this->Phrase['viewProfile'] = 'View User - ';
		$this->Phrase['updProfile'] = 'Update Profile';

	}
    
}

?>