<?php

/*
+--------------------------------------------------------------------------
|   WallScript
|   ========================================
|   by Alex Roxon
|   (c) 2010 ajberri
|   http://www.ajberri.com
|   ========================================
|   Web: http://www.ajberri.com
|   Email: alex@ajberri.com
+---------------------------------------------------------------------------
|   THIS SCRIPT MAY HAVE LICENSING RESTRICTIONS
|   http://www.ajberri.com/license
+---------------------------------------------------------------------------
|
|   > Class: Contact
|   > Script written by Alex Roxon
|   > Date started: 2010
|	> Date updated: Mar 09 2010
|
+--------------------------------------------------------------------------
*/

session_start();

class Contact
{

	var $class;
	var $return = array();

	function run()
	{
		$Data = explode("do=", $_SERVER['REQUEST_URI']);
		
		if(isset($Data) && isset($Data[1]) && $Data[1] == 'submit')
			return $this->submit();
		else return $this->form();
		
	}

	function submit()
	{
		$this->return['path'] = '';

		if($this->class->Data("name") == null)
			$this->class->Error($this->class->lang->Phrase['no_name']);

		if($this->class->Data("email") == null)
			$this->class->Error($this->class->lang->Phrase['no_email']);

		if($this->class->Data("message") == null)
			$this->class->Error($this->class->lang->Phrase['no_message']);

		$Num1 = (int) $_SESSION['Num1'];
		$Num2 = (int) $_SESSION['Num2'];
		$Operator = $_SESSION['Oper'];

		$Answer = $Operator == 1 ? ($Num1 + $Num2) : ($Num1 * $Num2);

		$this->Security();

		if( $this->class->Data("security") != $Answer )
			$this->class->Error($this->class->lang->Phrase['invalid_security']);

		$Message = "From: ". $this->class->Data("name") . " (" . $this->class->Data("email") . ")\r\n\r\n" . $this->class->Data("message");
		
		// Send to admins
		$Query = "SELECT `email` FROM `users` WHERE `admin` = 1";
		$Result = $this->class->mysql->Query($Query);
		$Admins = $this->class->mysql->FetchResults($Result);
	
		foreach($Admins as $Admin)
			functions::send_mail($Admin['email'], $this->class->lang->Phrase['contact_form'] . ' (' . $this->class->Data("name") .')', $Message, $this->class->Data("email"));

		$this->class->page['title'] =  $this->class->lang->Phrase['contact_us'] . ' - '.$this->class->Settings['Site_Title'];

		$this->Output .= $this->class->template->LoadTemplate("global/boxthin_left.cphp", $this->return);
		$this->Output .= $this->class->CompileCategories();
		$this->Output .= $this->class->CompilePartners();
		$this->Output .= $this->class->template->LoadTemplate("global/cats_end.cphp", $this->return);

		$html = $this->class->template->LoadTemplate("global/contact_submit.cphp");
		
		$this->Output .= $html;

		return $this->Output;

	}

	function Security()
	{
		$_SESSION['Num1'] = rand(5,10);
		$_SESSION['Num2'] = rand(5,10);
		$_SESSION['Oper'] = rand(1,2);
	}

	function form()
	{
		$this->return['path'] = '';

		// Verification
		$this->Security();

		$Operator = $_SESSION['Oper'] == 1 ? $this->class->lang->Phrase['contact_plus'] : $this->class->lang->Phrase['contact_times'];
		$Question = $this->class->lang->Phrase['contact_what'] . $_SESSION['Num1'] . ' ' . $Operator . ' ' . $_SESSION['Num2'];

		$html = $this->class->template->LoadTemplate("global/contact.cphp", array('Question' => $Question));

		// Categories
        $this->Output .= $this->class->template->LoadTemplate("global/boxthin_left.cphp", $this->return);
		$this->Output .= $this->class->CompileCategories();
		$this->Output .= $this->class->CompilePartners();
		$this->Output .= $this->class->template->LoadTemplate("global/cats_end.cphp", $this->return);

		$this->Output .= $html;

		$this->class->page['title'] =  $this->class->lang->Phrase['contact_us'] . ' - '.$this->class->Settings['Site_Title'];

		return $this->Output;

	}

}

?>