<?php

/*
+--------------------------------------------------------------------------
|   WallScript
|   ========================================
|   by Alex Roxon
|   (c) 2010 ajberri
|   http://www.ajberri.com
|   ========================================
|   Web: http://www.ajberri.com
|   Email: alex@ajberri.com
+---------------------------------------------------------------------------
|   THIS SCRIPT MAY HAVE LICENSING RESTRICTIONS
|   http://www.ajberri.com/license
+---------------------------------------------------------------------------
|
|   > Class: Functions
|   > Script written by Alex Roxon
|   > Date started: 2010
|	> Date updated: Mar 09 2010
|
+--------------------------------------------------------------------------
*/

class Functions
{

	static $Settings;

	static $Var;

	public static function sift_plugins($Arr)
	{
		$Return = array();

		foreach($Arr as $Level => $Plugin)
		{
			foreach($Plugin as $Details)
			{
				if( empty($Details['template']) )
					$Details['template'] = '*';

				$Return[$Details['template']][] = $Details;
			}
		}

		return $Return;
	}

	//---------------------------------------------------------------
	// Function OpenURL
	// Whether to use curl or fopen to open URLs
	//---------------------------------------------------------------

	public static function OpenURL($url,$ref=null) 
	{

		$Query="SELECT * FROM `".PREFIX."settings`";
		$Result=mysql_query($Query) or die(MySQL_error());
		if (mysql_num_rows($Result) >= 1)
		{
			while($aRow = mysql_fetch_object($Result))
			{
				Functions::$Settings[$aRow->identifier] = $aRow->value;
			}
		}

		return "";

		if ($this->Settings['curl_v_urlfopen']=='1') 
		{
			//Open with cURL
			$header = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";  

			$ch = curl_init($url); 
			curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1); 
			curl_setopt($ch, CURLOPT_HEADER, 0);  
			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);  
			curl_setopt($ch, CURLOPT_REFERER, $ref);
			curl_setopt($ch, CURLOPT_USERAGENT, $header); 
			$data = curl_exec ($ch); 
			curl_close ($ch);
		} elseif ($this->Settings['curl_v_urlfopen']=='2')
		{
			$data = file_get_contents($url);
		} else 
		{
			include_once("../includes/HTTP.php");
			$HTTP = new HTTP();
			$data = $HTTP->Request("GET",$url,$ref);
		}


		return $data;
	}


	//---------------------------------------------------------------
	// Function WriteFile
	// An alternative to file_put_contents to those not running PHP5
	//---------------------------------------------------------------

	public static function WriteFile($n, $d, $flag = false) 
	{
		if (function_exists("file_put_contents"))
		{
			file_put_contents($n,$d);
		} else 
		{
			$mode = ($flag == FILE_APPEND || strtoupper($flag) == 'FILE_APPEND') ? 'a' : 'w';
			$f = @fopen($n, $mode);
			if ($f === false) 
			{
				return 0;
			} else 
			{
				if (is_array($d)) $d = implode($d);
				$bytes_written = fwrite($f, $d);
				fclose($f);
				return $bytes_written;
			}
		}
	}

	// New class
	public static function NewClass($Path, $Name, $Variable)
	{
		global $$Variable;
		include_once($Path);

		$Code = $Variable .' = new ' . $Name . '();';
		eval($Code);
	}

	// Pagination html
	public static function pagHTML($Page,$Pages,$ext,$prefix="login/pag_",$onclick="LoadWallpapers")
	{
		$pagHTML = null;
		if ($Page == 1)
		{
			//---------------------------------------------
			// We chose the first page
			//---------------------------------------------

			if($Pages == 1)
			{
				$pagHTML = Functions::LoadTemplate($prefix."selpage.cphp", array("page" => 1, "ext" => $ext, "onclick" => $onclick));
			} elseif ($Pages == 2 || $Pages == 3)
			{
				$pagHTML = Functions::LoadTemplate($prefix."selpage.cphp", array("page" => 1, "ext" => $ext, "onclick" => $onclick));
				for($x = 2; $x <= $Pages; $x++)
					$pagHTML .= Functions::LoadTemplate($prefix."page.cphp", array("page" => $x, "ext" => $ext, "onclick" => $onclick));
			} elseif ($Pages > 3)
			{
				$pagHTML = Functions::LoadTemplate($prefix."selpage.cphp", array("page" => 1, "ext" => $ext, "onclick" => $onclick));
				for($x = 2; $x <= 3; $x++)
					$pagHTML .= Functions::LoadTemplate($prefix."page.cphp", array("page" => $x, "ext" => $ext, "onclick" => $onclick));
				$pagHTML .= Functions::LoadTemplate($prefix."morepages.cphp", array('pages' => $Pages));
			}
			//---------------------------------------------
			// Prev/next - we only need next
			//---------------------------------------------

			if ($Pages > 1)
				$PrevNext = Functions::LoadTemplate($prefix."next.cphp", array("next" => $Page + 1, "ext" => $ext, "onclick" => $onclick));
			else
				$PrevNext = '&nbsp;';
		} elseif ($Page == $Pages)
		{
			if ($Pages == 2)
			{
				//-------------------------------------------------
				// If there are only 2 pages, and we clicked the second.
				//-------------------------------------------------

				$pagHTML = Functions::LoadTemplate($prefix."page.cphp", array("page" => 1, "ext" => $ext, "onclick" => $onclick));
				$pagHTML .= Functions::LoadTemplate($prefix."selpage.cphp", array("page" => 2, "ext" => $ext, "onclick" => $onclick));
			} else if ($Pages >= 3)
			{
				//-------------------------------------------------
				// If there are 3 or more pages, and we clicked the last.
				//-------------------------------------------------

				$strt = $Page - 2;
				for($x = $strt; $x <= ($strt+1); $x++)
					$pagHTML .= Functions::LoadTemplate($prefix."page.cphp", array("page" => $x, "ext" => $ext, "onclick" => $onclick));

				$pagHTML .= Functions::LoadTemplate($prefix."selpage.cphp", array("page" => $Page, "ext" => $ext, "onclick" => $onclick));
			}
			//-------------------------------------------------
			// Prev/next - we only need previous.
			//-------------------------------------------------

			$PrevNext = Functions::LoadTemplate($prefix."previous.cphp", array("previous" => $Page - 1, "ext" => $ext, "onclick" => $onclick));
		} else
		{
			//-------------------------------------------------
			// If we did not click the first or last. there is always one in between.
			//-------------------------------------------------

			if (($Page - 1) >= 2) {
				// Display newest
				$pagHTML .= Functions::LoadTemplate($prefix."newest.cphp", array("onclick" => $onclick));
			}

			$pagHTML .= Functions::LoadTemplate($prefix."page.cphp", array("page" => $Page-1, "ext" => $ext, "onclick" => $onclick));
			$pagHTML .= Functions::LoadTemplate($prefix."selpage.cphp", array("page" => $Page, "ext" => $ext, "onclick" => $onclick));
			$pagHTML .= Functions::LoadTemplate($prefix."page.cphp", array("page" => $Page+1, "ext" => $ext, "onclick" => $onclick));
			if($Page + 1 != $Pages)
				$pagHTML .= Functions::LoadTemplate($prefix."morepages.cphp", array('pages' => $Pages));
			// Prev/next - we need both next and previous
			$PrevNext = Functions::LoadTemplate($prefix."prevnext.cphp", array(
				"next" => ($Page + 1), "previous" => ($Page - 1), "ext" => $ext, "onclick" => $onclick));
		}
		
		$tmp = substr($prefix, strrpos($prefix, "/")+1, strlen($prefix));
		$pre = str_replace($tmp, null, $prefix);
		$replace = array("pages"=> $pagHTML, "prevnext"=>$PrevNext, "onclick" => $onclick, "ps" => $Pages);
		$paghtml = Functions::LoadTemplate($pre."paghtml.cphp", $replace);

		return $paghtml;

	}

	public static function delete_directory($dirname)
	{
		if (is_dir($dirname))
		  $dir_handle = opendir($dirname);

		if (!$dir_handle)
		  return false;

		while($file = readdir($dir_handle))
		{
			if ($file != "." && $file != "..")
			{
				if (!is_dir($dirname."/".$file))
					unlink($dirname."/".$file);
				else
					functions::delete_directory($dirname.'/'.$file);    
			}
		}

		closedir($dir_handle);
		rmdir($dirname);

		return true;
	}

	//-----------------------------------------------
	// Load template function
	//-----------------------------------------------

	public static function LoadTemplate($template="", $replace = array(), $ignheaderfooter = 0, $others = true)
	{
		if(Functions::str_contains($template, "templates/") == false)
			$template = "templates/" . $template;

		if(Functions::str_contains($template, ".html") == false && Functions::str_contains($template, ".cphp") == false)
			$template .= ".html";

		if(is_array($replace) && is_array(Functions::$Var['class']->lang->Phrase))
			$replace = array_merge(Functions::$Var['class']->lang->Phrase, $replace);

		$return = file_get_contents( $template );
		if(is_array($replace) && count($replace) > 0)
		{
			foreach ($replace as $identifier => $value)
				$return = str_replace( array('&&' . $identifier . '&&', '{' . $identifier . '}') , $value , $return);
		}

		// Replace the others
		if($others == true && 1 == 2)
		{
			$return = preg_replace('/\&\&\w+\&\&/', null, $return);
			$return = preg_replace('/\{\w+\}/', null, $return);
		}

		// Replace PHP code
		if($others == true)
		{
			while(Functions::str_contains($return, '<php>', true) == true)
			{
				$Code = Functions::GetStringBetween($return, '<php>', '</php>');

				// Debug purposes
				//if(Functions::str_contains($Code, "['n']")) die($template);

				// Whether the variable is in there or not.
				$php = null;
				if(Functions::str_contains($Code, '$php') == true)
					$Executed = eval($Code);
				else eval('$php = '.$Code);

				$return = str_replace('<php>' . $Code . '</php>', $php, $return);
			}
		}

		return $return;
	}

	public static function GrabCategories()
	{
		// Get the categories and subcategories
		$Query = "SELECT * FROM `categories`";
		$Res = Functions::$Var['class']->mysql->Query($Query);
		$Categories = Functions::$Var['class']->mysql->FetchResults($Res);

		$Structure = array();
		$Subs = array();
		foreach($Categories as $Cat) 
		{
			if ($Cat['parent'] == 0)
				$Structure[$Cat['id']] = array("name" => $Cat['name'], "Sub" => array());
			else $Subs[] = $Cat;
		}

		foreach($Subs as $Sub) 
			$Structure[$Sub['parent']]['Sub'][$Sub['id']] = $Sub['name'];

		asort($Structure);
		return $Structure;
	}

	public static function CategoriesOptions($Subs = true, $Selected = null)
	{
		$Structure = Functions::GrabCategories();
		$Options = null;
		foreach($Structure as $id => $Cat)
		{
			$Extra = (! is_null($Selected) && $Selected == $id) ? ' selected' : null;
			$Options .= "<option value='".$id."'" . $Extra . ">".$Cat['name']."</option>\n";
			if($Subs == true)
			{
				foreach($Cat['Sub'] as $sid => $scat)
				{
					$Extra = (! is_null($Selected) && $Selected == $sid) ? ' selected' : null;
					$Options .= "<option value='".$sid."'" . $Selected . ">&nbsp;&nbsp;&nbsp;&#0124;-- ".$scat."</option>\n";
				}
			}
		}

		return $Options;
	}

	//------------------------------------------------
	// Build a section
	//------------------------------------------------

	public static function BuildSection($Title, $Content, $Options = array(), $Others = true)
	{
		//---------------------------------------
		// Load the templates
		//---------------------------------------

		// Table or normal template?
		$HTML = (array_key_exists('table', $Options) && $Options['table'] == 1) ? Functions::LoadTemplate("table_section", array(), 0, $Others) : Functions::LoadTemplate("start_section", array(), 0, $Others);

		$HTML .= Functions::LoadTemplate("section_title", array('Title' => $Title), 0, $Others);
		$HTML .= Functions::LoadTemplate("section_content", array('Content' => $Content), 0, $Others);
		$HTML .= Functions::LoadTemplate("end_section", array(), 0, $Others);
		
		// Return
		return $HTML;
	}

	//------------------------------------------------
	// Search a string for specific text
	//------------------------------------------------

	public static function str_contains($haystack, $needle, $sensitive = false)
	{
		if($sensitive == false)	return strpos($haystack, $needle) == 0 ? false : true;
		else return stripos($haystack, $needle) == 0 ? false : true;
	}

	//------------------------------------------------
	// Admin Error
	//------------------------------------------------

	public static function AdminError($Message)
	{
		if( isset( Functions::$Var['mclass']->lang->Phrase[$Message] ) )
			$Message = Functions::$Var['mclass']->lang->Phrase[$Message];

		$Message .= '&nbsp;&nbsp;<a href="#" style="color: #AE2727;" onclick="history.go(-1); return false;">Back</a>';

		$Error = Functions::LoadTemplate("messages/error", array('message' => $Message, 'ext' => ' style="padding:0px; margin-top: 0px; padding-bottom: 0px;"'));
		$pageHTML = Functions::BuildSection('The script has encountered an error!',$Error);

		echo Functions::BuildPage($pageHTML);
		exit;
	}

	//------------------------------------------------
	// Demo check
	//------------------------------------------------

	public static function DemoCheck()
	{
		if( Functions::$Var['demo'] == true )
			Functions::AdminError( "admin_demo_err" );
	}

	//------------------------------------------------
	// Redirect
	//------------------------------------------------

	public static function Redirect($Title, $URL, $Delay = 3)
	{
			$replaceVariables=array(
					"title" => $Title,
					"url" => $URL,
					"delay" => $Delay,
			);

			$html=Functions::LoadTemplate("loading",$replaceVariables);
			echo $html;
			exit;
	}

	//------------------------------------------------
	// Build the page
	//------------------------------------------------

	public static function BuildPage($Content)
	{
		// Most recent login
		$Query = "SELECT `ip` FROM `login_attempts` WHERE `admin` = 1 AND `success` =  1 AND (`username`='" . Functions::$Var['admin']['username'] . "' OR `username` = '" . Functions::$Var['admin']['email'] . "') LIMIT 2";
		$Result = Functions::$Var['mclass']->mysql->Query($Query);
		$Logins = Functions::$Var['mclass']->mysql->FetchResults($Result);

		if(is_array($Logins) && count($Logins) == 2)
			$Ip = $Logins[1]['ip'];
		else $Ip = "n/a";
		
		$header = Functions::LoadTemplate("header", array('ip' => $Ip, 'uid' => Functions::$Var['admin']['userid'], 'username' => Functions::$Var['admin']['username']));

		// Need to get the top navigation.
		if(array_key_exists('Selected', Functions::$Var) == false || is_null(Functions::$Var['Selected'])) Functions::$Var['Selected'] = 1;
		$Navigation = Functions::LoadTemplate("top_nav");

		// Page Source
		$Source = $header . $Navigation;

		// Content
		$pageHTML = Functions::LoadTemplate("page", array(
				'Content'		=> $Content,	
		));

		//-----------------------------------------------
		// Side panel template
		//-----------------------------------------------
		
		// Grab the calender date
		include_once("includes/private/calendar.php");
		$Calendar = new Calendar;
		$Cal = $Calendar->Output();

		// Let's retrieve some stats
		$Res = Functions::$Var['mclass']->mysql->Query("SELECT COUNT(*) FROM `wallpapers` WHERE `status` = 0");
		$Unnaproved = Functions::$Var['mclass']->mysql->FetchResults($Res);
		$Unnaproved = number_format( (int) $Unnaproved[0]['COUNT(*)'] );

		$Res = Functions::$Var['mclass']->mysql->Query("SELECT COUNT(*) FROM `wallpapers`");
		$Total = Functions::$Var['mclass']->mysql->FetchResults($Res);
		$Total = number_format( (int) $Total[0]['COUNT(*)'] );

		$Res = Functions::$Var['mclass']->mysql->Query("SELECT COUNT(*) FROM `users`");
		$TotUsers = Functions::$Var['mclass']->mysql->FetchResults($Res);
		$TotUsers = number_format( (int) $TotUsers[0]['COUNT(*)'] );

		$Res = Functions::$Var['mclass']->mysql->Query("SELECT COUNT(*) FROM `users` WHERE `join` >= " . (time() - (24 * 60 * 60)));
		$T4hUsers = Functions::$Var['mclass']->mysql->FetchResults($Res);
		$T4hUsers = number_format( (int) $T4hUsers[0]['COUNT(*)'] );

		$sidePanel = Functions::LoadTemplate("side", array(
			'calendar'		=> $Cal,	
			'am_approval'	=> $Unnaproved,
			'am_total'		=> $Total,
			'tot_users'		=> $TotUsers,
			'24h_users'		=> $T4hUsers,
		));

		// Get the footer
		$Footer = Functions::LoadTemplate("footer", array());

		$page = $Source . $pageHTML . $sidePanel . $Footer;
		return $page;

	}

	//--------------------------------------------------
	// Find all template files
	//--------------------------------------------------

	public static function TemplateFiles($dir = "c:/server/www/dev/wp",$tab="")
	{
		global $n;
		global $y;
		global $start;
		global $lines;
		global $output;
		global $len;
		global $words;

		if(array_key_exists('n', Functions::$Var)) Functions::$Var['n']++;
		if (Functions::$Var['n'] == 1000)
			exit;

		$Return = array();

		// Open a known directory, and proceed to read its contents
		if (is_dir($dir)) 
		{
			if ($dh = opendir($dir))
			{
				while (($file = readdir($dh)) !== false)
				{
					if(strpos($file,".") == 0 && substr($file,0,1) != ".")
					{
						$tmp = Functions::TemplateFiles($dir."/".$file,$tab."\t");	
						$Return = array_merge($tmp, $Return);
					}
					
					if(array_key_exists('y', Functions::$Var)) Functions::$Var['y']++;
					if(Functions::$Var['y'] == 1000) exit; 
					if(in_array(substr($file,strrpos($file,".")+1),array('cphp', 'html'))) 
					{
						$Return[] = $dir . "/" .$file;
					}
				}
				closedir($dh);
			}
		}

		return $Return;

	}

	//--------------------------------------------------
	// Find all images in a folder
	//--------------------------------------------------

	public static function FolderImages($dir = "c:/server/www/dev/wp",$tab="")
	{
		error_reporting( -1 );
		global $n;
		global $y;
		global $start;
		global $lines;
		global $output;
		global $len;
		global $words;
			
		if( ! isset( Functions::$Var['y'] ) ) Functions::$Var['y'] = 0;
		if( ! isset( Functions::$Var['n'] ) ) Functions::$Var['n'] = 0;

		if(array_key_exists('n', Functions::$Var)) Functions::$Var['n']++;
		if (Functions::$Var['n']==1000)
			exit;

		$Return = array();

		// Open a known directory, and proceed to read its contents
		if (is_dir($dir)) 
		{
			if ($dh = opendir($dir))
			{
				while (($file = readdir($dh)) !== false)
				{
					if(strpos($file,".") == 0 && substr($file,0,1) != ".")
					{
						$tmp = Functions::FolderImages($dir."/".$file,$tab."\t");	
						$Return = array_merge($tmp, $Return);
					}
					
					if(array_key_exists('y', Functions::$Var)) Functions::$Var['y']++;
					if(Functions::$Var['y']==1000) exit; 
					if(in_array(substr($file,strrpos($file,".")+1),array('jpg', 'png', 'jpeg', 'gif'))) 
					{
						$Return[] = $dir . "/" .$file;
					}
				}
				closedir($dh);
			}
		}

		return $Return;

	}

	public static function strip_chars($str)
	{
		$patterns = array('/\//', '/\-/', '/\^/', '/\./', '/\$/', '/\|/', '/\(/', '/\)/', '/\[/', '/\]/', '/\*/', '/\+/', '/\?/', '/\{/', '/\}/', '/\,/');
		$replace = preg_replace($patterns, ' ', $str);

		while(Functions::str_contains($replace, '  '))
			$replace = str_replace('  ', ' ', $replace);

		$replace = str_replace('_', ' ', $replace);
		$replace = strip_tags($replace);

		return $replace;
	}

	//------------------------------------------------
	// Aspect ratio of images
	//------------------------------------------------

	public static function Ratio($Width,$Height) 
	{
		$Ratio = $Width / $Height;
		$Ratio2 = $Height / $Width;

		for($x = 2; $x<= 10; $x++) 
		{
			$tmpRat = $Ratio*$x;
			$len = strlen(substr($tmpRat, strpos($tmpRat, ".")+1));
			if ($len == 0) break;
		}

		if ($x != 10)
			$Ratio = round(($Ratio*$x),1).":".round(($Ratio*$x*$Ratio2),1);

		return $Ratio;
	}

	//------------------------------------------------
	// Resize images
	//------------------------------------------------

	public static function resizeImage($file,$filename,$newwidth=160,$newheight=120)
	{
		$type = substr($file,strrpos($file,".")+1);

		switch($type) 
		{
			case 'jpg':
			case 'jpeg':
				$src = @imagecreatefromjpeg($file);
				break;
			case 'gif':
				$src = @imagecreatefromgif($file);
				break;
			case 'png':
				$src = @imagecreatefrompng($file);
				break;
			default:
				$src = @imagecreatefromjpeg($file);
				break;
		}

		if( ! $src ) return false;

		list($width,$height) = getimagesize($file);
		$tmp = imagecreatetruecolor($newwidth,$newheight);
		imagecopyresampled($tmp,$src,0,0,0,0,$newwidth,$newheight,$width,$height);

		switch($type) {
			case 'jpg':
				imagejpeg($tmp,$filename,100);
				break;
			case 'jpeg':
				imagejpeg($tmp, $filename,100);
				break;
			case 'gif':
				imagegif($tmp,$filename,100);
				break;
			case 'png':
				imagepng($tmp,$filename,9);
				break;
			case 'wbm':
				imagewbmp($tmp,$filename,100);
				break;
			default:
				imagejpeg($tmp,$filename,100);
				break;
		}
		imagedestroy($src);
		imagedestroy($tmp);
		return true;
	}


	public static function Error($Message) {
		return $Message."<br /><br /><a href='javascript:history.back(-1);'>Back</a>";
	}
	
	static function Admin_Details($Username=null) 
	{
		if ($Username==null && isset($_COOKIE['username'])) $Username = addslashes($_COOKIE['username']);

		// If there is no username entered, no need to run the query. Return an empty array.
		if($Username == null) return array();

		$Query="SELECT * FROM `".PREFIX."users` WHERE `username`='$Username'";
		$Result=mysql_query($Query) or die(mysql_error());
		$Admin=mysql_fetch_assoc($Result);

		return $Admin;
	}

	static function check_perms($username,$password)
	{
		$query = "SELECT COUNT(*) FROM `".PREFIX."users` WHERE `username`='$username' AND `password`='$password' AND `admin`=1";
		$result = mysql_query($query) or die(mysql_error());
		$row = mysql_fetch_assoc($result);
		return intval($row['COUNT(*)']) >= 1 ? true : false;
	}

	static function check_logged()
	{
		if (isset($_COOKIE['username']) && isset($_COOKIE['password']))
		{
			if (Functions::check_perms( addslashes($_COOKIE['username']), addslashes($_COOKIE['password'])) == true) { return true; }
		} else {
			return false;
		}

		if (isset($error)) { return $error; exit; }
	}

	
	public static function check_login($username, $password)
	{

		global $Site_URL;
		$username = addslashes($username);
		$password = addslashes($password);

		$error = null;

		// Some basic error checks
		if ($password == null || $username == null)	$error = "must enter username and password.";
		else if (in_array($username, array('!','@','#','$','%','^','&','*','(',')','<','>'))) $error = "invalid Characters in the username field.";
		
		if ($error == null || ! $error)
		{
			$md5_pass = md5($password);

			$query = "SELECT *, COUNT(*) FROM `".PREFIX."users` WHERE `username`='$username' AND `password`='$md5_pass' GROUP BY userid";

			$result = mysql_query($query) or die(mysql_error());
			$row = mysql_fetch_assoc($result);

			if(intval($row['COUNT(*)']) >= 1)
			{
				if($row['admin'] != '1') 
				{
					$error = 'invalid administrator permissions.';
				} else
				{
					setcookie('username', $username, time()+604800);
					setcookie('password', $md5_pass, time()+604800);

					$Query = "INSERT INTO `login_attempts` (`username`, `password`, `ip`, `time`, `admin`, `success`) ";
					$Query .= "VALUES('$username', '$md5_pass', '" . $_SERVER['REMOTE_ADDR'] . "', " . time()  . ", 1, 1);";
					mysql_query($Query) or die(mysql_error());

					return true;
				}
			} else
			{
				$error = "incorrect username or password.";
			}
		}

		if ($error) 
		{ 
			$Query = "INSERT INTO `login_attempts` (`username`, `password`, `ip`, `time`, `admin`, `success`) ";
			$Query .= "VALUES('$username', '$md5_pass', '" . $_SERVER['REMOTE_ADDR'] . "', " . time()  . ", 1, 0);";
			mysql_query($Query) or die(mysql_error());

			return $error;
			exit;
		}
	}

	
	public static function GetStringBetween($string,$start,$end)
	{ 
		if (Functions::str_contains($string, $start) == false || Functions::str_contains($string, $end) == false)
			return false;
		
		$strStart = strpos($string,$start) + strlen($start); 
		$string2 = substr($string,$strStart);
		$strEnd = strpos($string2,$end); 
		$strTemp = substr($string2,$strEnd);
		$string = str_replace($strTemp,null,$string);

		return substr($string,$strStart,$strEnd); 
	} 

	function xml2array($url, $get_attributes = 1, $priority = 'tag')
	{
		$contents = "";
		if (!function_exists('xml_parser_create'))
		{
			return array ();
		}
		$parser = xml_parser_create('');
		if (!($fp = @ fopen($url, 'rb')))
		{
			return array ();
		}
		while (!feof($fp))
		{
			$contents .= fread($fp, 8192);
		}
		fclose($fp);
		xml_parser_set_option($parser, XML_OPTION_TARGET_ENCODING, "UTF-8");
		xml_parser_set_option($parser, XML_OPTION_CASE_FOLDING, 0);
		xml_parser_set_option($parser, XML_OPTION_SKIP_WHITE, 1);
		xml_parse_into_struct($parser, trim($contents), $xml_values);
		xml_parser_free($parser);
		if (!$xml_values)
			return; //Hmm...
		$xml_array = array ();
		$parents = array ();
		$opened_tags = array ();
		$arr = array ();
		$current = & $xml_array;
		$repeated_tag_index = array ();
		foreach ($xml_values as $data)
		{
			unset ($attributes, $value);
			extract($data);
			$result = array ();
			$attributes_data = array ();
			if (isset ($value))
			{
				if ($priority == 'tag')
					$result = $value;
				else
					$result['value'] = $value;
			}
			if (isset ($attributes) and $get_attributes)
			{
				foreach ($attributes as $attr => $val)
				{
					if ($priority == 'tag')
						$attributes_data[$attr] = $val;
					else
						$result['attr'][$attr] = $val; //Set all the attributes in a array called 'attr'
				}
			}
			if ($type == "open")
			{
				$parent[$level -1] = & $current;
				if (!is_array($current) or (!in_array($tag, array_keys($current))))
				{
					$current[$tag] = $result;
					if ($attributes_data)
						$current[$tag . '_attr'] = $attributes_data;
					$repeated_tag_index[$tag . '_' . $level] = 1;
					$current = & $current[$tag];
				}
				else
				{
					if (isset ($current[$tag][0]))
					{
						$current[$tag][$repeated_tag_index[$tag . '_' . $level]] = $result;
						$repeated_tag_index[$tag . '_' . $level]++;
					}
					else
					{
						$current[$tag] = array (
							$current[$tag],
							$result
						);
						$repeated_tag_index[$tag . '_' . $level] = 2;
						if (isset ($current[$tag . '_attr']))
						{
							$current[$tag]['0_attr'] = $current[$tag . '_attr'];
							unset ($current[$tag . '_attr']);
						}
					}
					$last_item_index = $repeated_tag_index[$tag . '_' . $level] - 1;
					$current = & $current[$tag][$last_item_index];
				}
			}
			elseif ($type == "complete")
			{
				if (!isset ($current[$tag]))
				{
					$current[$tag] = $result;
					$repeated_tag_index[$tag . '_' . $level] = 1;
					if ($priority == 'tag' and $attributes_data)
						$current[$tag . '_attr'] = $attributes_data;
				}
				else
				{
					if (isset ($current[$tag][0]) and is_array($current[$tag]))
					{
						$current[$tag][$repeated_tag_index[$tag . '_' . $level]] = $result;
						if ($priority == 'tag' and $get_attributes and $attributes_data)
						{
							$current[$tag][$repeated_tag_index[$tag . '_' . $level] . '_attr'] = $attributes_data;
						}
						$repeated_tag_index[$tag . '_' . $level]++;
					}
					else
					{
						$current[$tag] = array (
							$current[$tag],
							$result
						);
						$repeated_tag_index[$tag . '_' . $level] = 1;
						if ($priority == 'tag' and $get_attributes)
						{
							if (isset ($current[$tag . '_attr']))
							{
								$current[$tag]['0_attr'] = $current[$tag . '_attr'];
								unset ($current[$tag . '_attr']);
							}
							if ($attributes_data)
							{
								$current[$tag][$repeated_tag_index[$tag . '_' . $level] . '_attr'] = $attributes_data;
							}
						}
						$repeated_tag_index[$tag . '_' . $level]++; //0 and 1 index is already taken
					}
				}
			}
			elseif ($type == 'close')
			{
				$current = & $parent[$level -1];
			}
		}
		return ($xml_array);
	}

}

?>