<?php

/*
+--------------------------------------------------------------------------
|   WallScript
|   ========================================
|   by Alex Roxon
|   (c) 2010 ajberri
|   http://www.ajberri.com
|   ========================================
|   Web: http://www.ajberri.com
|   Email: alex@ajberri.com
+---------------------------------------------------------------------------
|   THIS SCRIPT MAY HAVE LICENSING RESTRICTIONS
|   http://www.ajberri.com/license
+---------------------------------------------------------------------------
|
|   > Class: navigation
|   > Script written by Alex Roxon
|   > Date started: 2010
|	> Date updated: Aug 09 2010
|   > Modified by Cody Ripley
|
+--------------------------------------------------------------------------
*/

class navigation {

	var $class;

        //-------------------------------------------
        // Navigation Array
        //-------------------------------------------

        var $Navigation = array(
				1 => array(
					"Site Configuration"		=> array("images/icons/admin_activity16.gif","index.php?act=main&do=config"),
					"SEO Settings"				=> array("images/icons/admin_subnetworks16.gif","index.php?act=main&do=seo"),
					"Advertisements"			=> array("images/icons/admin_ads16.gif","index.php?act=main&do=advertisements"),
					"Manage Partners"			=> array("images/icons/admin_levels16.gif","index.php?act=main&do=partners"),
					"Administrators"			=> array("images/icons/admin_admins16.gif","index.php?act=main&do=admins"),
					),
				2 => array(
					"Wallpaper Categories"		=> array("images/icons/admin_setting16.gif","index.php?act=wallpapers&do=categories"),
					"Manage Wallpapers"			=> array("images/icons/admin_url16.gif","?act=wallpapers&do=manage"),
					"Pending Wallpapers"		=> array("images/icons/admin_activity16.gif","?act=wallpapers&do=pending"),
					"Add Wallpaper"				=> array("images/icons/script_add.png","index.php?act=wallpapers&do=add"),
					"Bulk Upload"				=> array("images/icons/admin_summary16.gif","index.php?act=wallpapers&do=bulk"),
					"Watermark Settings"		=> array("images/icons/admin_templates16.gif","index.php?act=wallpapers&do=watermark"),
					),
				3 => array(
					"Search for Users"			=> array("images/icons/admin_url16.gif","index.php?act=members&do=search"),
					"Ban User"					=> array("images/icons/admin_banning16.gif","index.php?act=members&do=ban"),
					"View Banned Users"			=> array("images/icons/admin_signup16.gif","index.php?act=members&do=banned"),
					"Generate Mailing List"		=> array("images/icons/admin_invite16.gif","index.php?act=members&do=mailing"),
					)
					,
				4 => array(
					"Manage Plugins"			=> array("images/icons/plugin.png","index.php?act=plugins"),
					"Import Plugins"			=> array("images/icons/script_add.png","index.php?act=plugins&do=impex"),
					),
				5 => array(
					"Manage Styles"				=> array("images/icons/admin_templates16.gif","index.php?act=styles"),
					"Import Styles"				=> array("images/icons/script_add.png","index.php?act=styles&do=import"),
					),
				6 => array(
					"Manage Pages"				=> array("images/icons/admin_templates16.gif","index.php?act=content"),
				    "Add Page"				=> array("images/icons/admin_templates16.gif","index.php?act=content&do=add"),
					"Media"				=> array("images/icons/script_add.png","index.php?act=content&do=media"),
					),
                );


        //-------------------------------------------
        // Navigation function
        //-------------------------------------------

        function HTML() 
		{
			$pageNav=null;
			$Done = 0;
			$Max = 7;

			foreach ($this->Navigation[Functions::$Var['Selected']] as $Category=>$Contents)
			{
				// Do we need to go to more?
				if($Done == $Max)
					$pageNav .= Functions::LoadTemplate("more_options_start",$replaceVariables);

				$Icon=$Contents[0];
				$URL=$Contents[1];

				$replaceVariables=array(
						"page" => $URL,
						"icon" => $Icon,
						"title" => $Category,
				);

				$pageNav.=Functions::LoadTemplate("admin_navigation_page",$replaceVariables);

				$Done++;

			}

			// Did we do more?
			if($Done > $Max)
				$pageNav .= Functions::LoadTemplate("more_options_end", array());

			return $pageNav;
        }

}



?>
