<?php

/*
+--------------------------------------------------------------------------
|   WallScript
|   ========================================
|   by Alex Roxon
|   (c) 2010 ajberri
|   http://www.ajberri.com
|   ========================================
|   Web: http://www.ajberri.com
|   Email: alex@ajberri.com
+---------------------------------------------------------------------------
|   THIS SCRIPT MAY HAVE LICENSING RESTRICTIONS
|   http://www.ajberri.com/license
+---------------------------------------------------------------------------
|
|   > Class: Vote
|   > Script written by Alex Roxon
|   > Date started: 2010
|	> Date updated: Mar 09 2010
|
+--------------------------------------------------------------------------
*/

class Vote
{
	var $class;

	function run()
	{

		if ($this->class->Data("wid") == null || $this->class->Data("val") == null)
		{
			$this->class->Error("no_vars");
		}

		$Query = "SELECT * FROM `wallpapers` WHERE `id`='".$this->class->Data("wid")."'";
		$Result = $this->class->mysql->Query($Query);
		$Res = $this->class->mysql->FetchResults($Result);

		if (count($Res) == 0)
		{
			$this->class->Error("wallpaper_noexist");
		}

		// Make sure we get the right val
		$val = ($this->class->Data("val") < 0) ? 0 : $this->class->Data("val");
		$val = ($val > 5) ? 5 : $val;
	
		$Votes = intval($Res[0]['votes']) + 1;
		$Total = intval($Res[0]['votecount']) + $val;
		$IP = $this->class->IPAddr();

		// Check to see if we have already voted.
		$Query = "SELECT COUNT(*) FROM `votes` WHERE `ip` = '".$IP."' AND `wid` = ".$this->class->Data("wid");
		$Result = $this->class->mysql->Query($Query);
		$Check = $this->class->mysql->FetchResults($Result);

		if ($Check[0]['COUNT(*)'] > 0)
		{
			// Already voted so update it instead.
			$Query = "SELECT * FROM `votes` WHERE `ip` = '".$IP."' AND `wid` = ".$this->class->Data("wid");
			$Result = $this->class->mysql->Query($Query);
			$Rating = $this->class->mysql->FetchResults($Result);

			$Total = $Total - intval($Rating[0]['rating']); // Take away your last vote
			$Votes = $Votes - 1;

			$Query = "UPDATE `votes` SET `rating` = " . $val . " WHERE `ip`='" . $IP ."'";
			$this->class->mysql->Query($Query);

		} else
		{
			$Query = "INSERT INTO votes(`ip`,`wid`,`rating`) VALUES('".$IP."','".$this->class->Data("wid")."','".$val."')";
			$this->class->mysql->Query($Query);
		}

		// Update the votes
		$Query = "UPDATE `wallpapers` SET `votes` = $Votes, `votecount` = $Total WHERE `id` = ".$this->class->Data("wid");
		$this->class->mysql->Query($Query);

		echo $this->class->lang->Phrase['vote_success'];

		exit;

	}

}

?>