<?php

/*
+--------------------------------------------------------------------------
|   WallScript
|   ========================================
|   by Alex Roxon
|   (c) 2010 ajberri
|   http://www.ajberri.com
|   ========================================
|   Web: http://www.ajberri.com
|   Email: alex@ajberri.com
+---------------------------------------------------------------------------
|   THIS SCRIPT MAY HAVE LICENSING RESTRICTIONS
|   http://www.ajberri.com/license
+---------------------------------------------------------------------------
|
|   > Class: Affiliates
|   > Script written by Alex Roxon
|   > Date started: 2010
|	> Date updated: Mar 09 2010
|
+--------------------------------------------------------------------------
*/

class Affiliates 
{

	var $class;
	var $return = array();
	var $Output;

	function run()
	{
		return $this->main();
	}

	function main()
	{
		// Are we running a search request?
		$URL = $_SERVER['REQUEST_URI'];
		preg_match_all("/(\w+)\=(\w+)/", $URL, $Vars);

		if(array_key_exists(1, $Vars) && array_key_exists(0, $Vars[1]))
			return $this->DisplaySearch($Vars);

		$this->return['path'] = "../";
		$this->class->page['title'] = "Affiliates - ".$this->class->Settings['Site_Title'];

		// Categories
        $this->Output .= $this->class->template->LoadTemplate("global/boxthin_left.cphp", $this->return);
		$this->Output .= $this->class->CompileCategories();
		$this->Output .= $this->class->CompilePartners();
		$this->Output .= $this->class->template->LoadTemplate("global/cats_end.cphp", $this->return);

		
		//-----------------------------------------------------------
		// Get the categories and subcategories
		//-----------------------------------------------------------

		$Query = "SELECT * FROM `categories`";
		$Res = $this->class->mysql->Query($Query);
		$Categories = $this->class->mysql->FetchResults($Res);

		$Structure = array();
		$Subs = array();
		foreach($Categories as $Cat) 
		{
			if ($Cat['parent'] == 0)
				$Structure[$Cat['id']] = array("name" => $Cat['name'], "Sub" => array());
			else $Subs[] = $Cat;
		}

		foreach($Subs as $Sub) 
			$Structure[$Sub['parent']]['Sub'][$Sub['id']] = $Sub['name'];

		asort($Structure);

		$Options = null;
		foreach($Structure as $id => $Cat)
		{
			$Options .= "<option value='".$id."'>".$Cat['name']."</option>\n";
			foreach($Cat['Sub'] as $sid => $scat)
				$Options .= "<option value='".$sid."'>&nbsp;&nbsp;&nbsp;&#0124;-- ".$scat."</option>\n";
		}

		//-----------------------------------------------------------
		// Lets output the user homepage
		//-----------------------------------------------------------

		$this->Output .= $this->class->template->LoadTemplate("misc/search.cphp", array(
				'cats'		=> $Options,	
		));

		return $this->Output;

	}


}

?>